GET
/api/v1/kubernetes/node-pool-services/{service_id}
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/node-pool-services/{service_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/node-pool-services/{service_id}", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/node-pool-services/{service_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the worker node pools attached to a cluster. Each pool reports its own service_id, worker role (cardinality, min/max VMs, elasticity and scheduled policies, policy_type, backing plan_id), state, node id list, and committed-pricing options. Use the cluster service_id returned by List.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service_id
required
integer
The cluster service_id, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Worker node pools of the cluster.
Array<object>
object
service_id
integer
service_name
string
roles
Array<object>
object
role_name
string
cardinality
integer
min_vms
integer
max_vms
integer
state
string
elasticity_policies
Array<object>
object
elasticity_type
string
adjust
integer
parameter
string
operator
string
value
integer
period_number
integer
period
integer
cooldown
integer
scheduled_policies
Array<object>
object
type
string
adjust
integer
recurrence
string
node_id_list
Array<integer>
policy_type
string
plan_id
integer
state
string
auto_scale_enabled
boolean
plan_name
string
master_node_id
integer
cluster_id
integer
price
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "service_id": 12346, "service_name": "pool-worker-1", "roles": [ { "role_name": "worker", "cardinality": 3, "min_vms": 3, "max_vms": 5, "state": "Running", "elasticity_policies": [ { "elasticity_type": "CHANGE", "adjust": 1, "parameter": "CPU", "operator": ">", "value": 60, "period_number": 3, "period": 10, "cooldown": 150 } ], "scheduled_policies": [ { "type": "CARDINALITY", "adjust": 3, "recurrence": "0 12 * * *" } ], "node_id_list": [ 320001, 320002, 320003 ], "policy_type": "Default-Scheduled", "plan_id": 1088 } ], "state": "Running", "auto_scale_enabled": true, "plan_name": "C3.8GB", "master_node_id": 320000, "cluster_id": 10002, "price": "Rs. 3.1/Hour or Rs. 2263.0 Monthly" } ], "message": "Success"}